package org.apache.bcel.generic;

package .var.folders.cl.9twcgjfx4vsg5zl73c6wxmvm0000gn.T;

import org.apache.bcel.ExceptionConst;
import org.apache.bcel.generic.ConstantPoolGen;
import org.apache.bcel.generic.ExceptionThrower;
import org.apache.bcel.generic.FieldInstruction;
import org.apache.bcel.generic.PushInstruction;
import org.apache.bcel.generic.Visitor;

public class GETSTATIC extends FieldInstruction implements PushInstruction, ExceptionThrower {
  GETSTATIC() {}
  
  public GETSTATIC(int index) {
    super((short)178, index);
  }
  
  public void accept(Visitor v) {
    v.visitStackProducer(this);
    v.visitPushInstruction(this);
    v.visitExceptionThrower(this);
    v.visitTypedInstruction(this);
    v.visitLoadClass(this);
    v.visitCPInstruction(this);
    v.visitFieldOrMethod(this);
    v.visitFieldInstruction(this);
    v.visitGETSTATIC(this);
  }
  
  public Class<?>[] getExceptions() {
    return ExceptionConst.createExceptions(ExceptionConst.EXCS.EXCS_FIELD_AND_METHOD_RESOLUTION, new Class[] { ExceptionConst.INCOMPATIBLE_CLASS_CHANGE_ERROR });
  }
  
  public int produceStack(ConstantPoolGen cpg) {
    return getFieldSize(cpg);
  }
}
